image: fanchthesystem/ubuntu-with-molecule:latest
services:
  - docker:dind
# https://univers-libre.net/posts/ansible-molecule-gitlab-ci.html


variables:
  GIT_SSL_NO_VERIFY: "1"
  PY_COLORS: "1"
  DOCKER_HOST: "tcp://docker:2375"

.BaseTest:
  retry: 2
  before_script:
    - ansible --version
    - molecule --version
    - docker --version
    - ansible-galaxy collection install community.docker
  script:
    - NAME=$(basename $(pwd)) ROLENAME=$(echo $NAME | sed -e s/ansible-//g) && cd .. &&  ln -fs $NAME $ROLENAME && cd $ROLENAME && pwd
    - TMPDIR=$(mktemp -d -t ci-XXXXXXXXXX) INSTANCE=$(basename $TMPDIR) molecule test

Ubuntu:
  extends: .BaseTest
  variables:
    DISTRO: "ubuntu"

Ubuntu18:
  extends: .BaseTest
  variables:
    DISTRO: "ubuntu18"

CentOS:
  extends: .BaseTest
  variables:
    DISTRO: "centos"

CentOS7:
  extends: .BaseTest
  variables:
    DISTRO: "centos7"

Debian:
  extends: .BaseTest
  variables:
    DISTRO: "debian"

Fedora:
  extends: .BaseTest
  variables:
    DISTRO: "fedora"
